Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class AbstractPatternVisitor<T>

    java.lang.Object
      convert.relaxng.edit.AbstractPatternVisitor<T>

All Implemented Interfaces:
  PatternVisitor<T>

Direct Known Subclasses:
  AbstractVisitor

    public abstract class AbstractPatternVisitor<T>

extends java.lang.Object
implements PatternVisitor<T>

Constructor Summary
`AbstractPatternVisitor()`

Method Summary
`T` | `visitAttribute(AttributePattern p)`
`T` | `visitChoice(ChoicePattern p)`
`T` | `visitComposite(CompositePattern p)`
`T` | `visitData(DataPattern p)`
`T` | `visitElement(ElementPattern p)`
`T` | `visitEmpty(EmptyPattern p)`
`T` | `visitExternalRef(ExternalRefPattern p)`
`T` | `visitGrammar(GrammarPattern p)`
`T` | `visitGroup(GroupPattern p)`
`T` | `visitInterleave(InterleavePattern p)`
`T` | `visitList(ListPattern p)`
`T` | `visitMixed(MixedPattern p)`
`T` | `visitNameClassed(NameClassedPattern p)`
`T` | `visitNotAllowed(NotAllowedPattern p)`
`T` | `visitOneOrMore(OneOrMorePattern p)`
`T` | `visitOptional(OptionalPattern p)`
`T` | `visitParentRef(ParentRefPattern p)`
`abstract T` | `visitPattern(Pattern p)`
`T` | `visitRef(RefPattern p)`
`T` | `visitText(TextPattern p)`
`T` | `visitUnary(UnaryPattern p)`
`T` | `visitValue(ValuePattern p)`
`T` | `visitZeroOrMore(ZeroOrMorePattern p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPatternVisitor

    public AbstractPatternVisitor()

Method Detail

### visitElement

    public T visitElement(ElementPattern p)

  Specified by:
    `visitElement` in interface `PatternVisitor<T>`

### visitAttribute

    public T visitAttribute(AttributePattern p)

  Specified by:
    `visitAttribute` in interface `PatternVisitor<T>`

### visitOneOrMore

    public T visitOneOrMore(OneOrMorePattern p)

  Specified by:
    `visitOneOrMore` in interface `PatternVisitor<T>`

### visitZeroOrMore

    public T visitZeroOrMore(ZeroOrMorePattern p)

  Specified by:
    `visitZeroOrMore` in interface `PatternVisitor<T>`

### visitOptional

    public T visitOptional(OptionalPattern p)

  Specified by:
    `visitOptional` in interface `PatternVisitor<T>`

### visitInterleave

    public T visitInterleave(InterleavePattern p)

  Specified by:
    `visitInterleave` in interface `PatternVisitor<T>`

### visitGroup

    public T visitGroup(GroupPattern p)

  Specified by:
    `visitGroup` in interface `PatternVisitor<T>`

### visitChoice

    public T visitChoice(ChoicePattern p)

  Specified by:
    `visitChoice` in interface `PatternVisitor<T>`

### visitGrammar

    public T visitGrammar(GrammarPattern p)

  Specified by:
    `visitGrammar` in interface `PatternVisitor<T>`

### visitExternalRef

    public T visitExternalRef(ExternalRefPattern p)

  Specified by:
    `visitExternalRef` in interface `PatternVisitor<T>`

### visitRef

    public T visitRef(RefPattern p)

  Specified by:
    `visitRef` in interface `PatternVisitor<T>`

### visitParentRef

    public T visitParentRef(ParentRefPattern p)

  Specified by:
    `visitParentRef` in interface `PatternVisitor<T>`

### visitValue

    public T visitValue(ValuePattern p)

  Specified by:
    `visitValue` in interface `PatternVisitor<T>`

### visitData

    public T visitData(DataPattern p)

  Specified by:
    `visitData` in interface `PatternVisitor<T>`

### visitMixed

    public T visitMixed(MixedPattern p)

  Specified by:
    `visitMixed` in interface `PatternVisitor<T>`

### visitList

    public T visitList(ListPattern p)

  Specified by:
    `visitList` in interface `PatternVisitor<T>`

### visitText

    public T visitText(TextPattern p)

  Specified by:
    `visitText` in interface `PatternVisitor<T>`

### visitEmpty

    public T visitEmpty(EmptyPattern p)

  Specified by:
    `visitEmpty` in interface `PatternVisitor<T>`

### visitNotAllowed

    public T visitNotAllowed(NotAllowedPattern p)

  Specified by:
    `visitNotAllowed` in interface `PatternVisitor<T>`

### visitNameClassed

    public T visitNameClassed(NameClassedPattern p)

### visitUnary

    public T visitUnary(UnaryPattern p)

### visitComposite

    public T visitComposite(CompositePattern p)

### visitPattern

    public abstract T visitPattern(Pattern p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD